Subject: Re: bash 2.05a-3: option to allow drive letter prefixes for completion?
From: David Starks-Browning <[email-masked]>
To: Chris Metcalf <[email-masked]>
Cc: [email-masked]
Date: Wed, 17 Apr 2002 10:03:53 +0100

On Tuesday 16 Apr 02, Chris Metcalf writes:
> On Tue, 16 Apr 2002, Chet Ramey wrote:
> > Readline has a set of characters it uses as word
> > delimiters for completion, and the calling application can modify that
> > set to its tastes.  Bash includes `:' as a word break character, which
> > makes it convenient to complete colon-separated lists like $PATH. 
> > Since the colon breaks words, the only thing that gets passed to the
> > filename completer is `/' and whatever follows it.  Quoting the colon
> > (the simplest thing to use is a backslash) causes readline to not
> > consider it a word break character.
> 
> In that case, it sounds like the right question to be asking is whether
> there is a user-visible knob that we can tweak to modify the set of
> characters which bash passes to readline as word break characters.
> Both ":" and "@" seem like reasonable candidates to allow removing
> from the word-break list, with the obvious caveats about functionality
> that would no longer be supported within the shell: $PATH-type list
> modification and automatic hostname completion, respectively.

Fair enough, but that would be an issue for bash, not Cygwin.

Since it's probably only a source of confusion for Cygwin users, I'll
add something to the Cygwin FAQ about this.

Thanks Chet, for helping us out with the answer!

Regards,
David
(Cygwin FAQ maintainer)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/